"use strict";
"use client";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/components/mention-list.tsx
var mention_list_exports = {};
__export(mention_list_exports, {
  MentionList: () => MentionList
});
module.exports = __toCommonJS(mention_list_exports);
var import_react = require("react");

// src/lib/utils.ts
var import_clsx = require("clsx");
var import_tailwind_merge = require("tailwind-merge");
function cn(...inputs) {
  return (0, import_tailwind_merge.twMerge)((0, import_clsx.clsx)(inputs));
}

// src/components/ui/skeleton.tsx
var import_jsx_runtime = require("react/jsx-runtime");
function Skeleton(_a) {
  var _b = _a, {
    className
  } = _b, props = __objRest(_b, [
    "className"
  ]);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    "div",
    __spreadValues({
      className: cn("animate-pulse rounded-md bg-primary/10", className)
    }, props)
  );
}

// src/components/mention-list.tsx
var import_jsx_runtime2 = require("react/jsx-runtime");
var MentionList = (0, import_react.forwardRef)((props, ref) => {
  const [selectedIndex, setSelectedIndex] = (0, import_react.useState)(0);
  const selectItem = (index) => {
    const item = props.items[index];
    if (item) {
      props.command({ id: item.username });
    }
  };
  const upHandler = () => {
    setSelectedIndex(
      (selectedIndex + props.items.length - 1) % props.items.length
    );
  };
  const downHandler = () => {
    setSelectedIndex((selectedIndex + 1) % props.items.length);
  };
  const enterHandler = () => {
    selectItem(selectedIndex);
  };
  (0, import_react.useEffect)(() => setSelectedIndex(0), [props.items]);
  (0, import_react.useImperativeHandle)(ref, () => ({
    onKeyDown: ({ event }) => {
      if (!(event instanceof KeyboardEvent)) {
        return false;
      }
      if (event.key === "ArrowUp") {
        upHandler();
        return true;
      }
      if (event.key === "ArrowDown") {
        downHandler();
        return true;
      }
      if (event.key === "Enter") {
        enterHandler();
        return true;
      }
      return false;
    }
  }));
  const noResults = props.items.length === 1 && props.items[0] === null;
  return (
    // Menu messes with focus which we don't want here
    /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(
      "div",
      {
        className: "overflow-y-auto z-50 min-w-[20rem] overflow-hidden rounded-md border bg-popover text-popover-foreground shadow-lg data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
        style: { maxHeight: "300px" },
        children: props.items.length && !noResults ? props.items.map(
          (item, index) => !item ? null : /* @__PURE__ */ (0, import_jsx_runtime2.jsxs)(
            "div",
            {
              className: cn(
                "flex flex-row p-2 px-3 cursor-pointer gap-2 items-center hover:bg-accent hover:text-accent-foreground",
                index === selectedIndex && "bg-accent text-accent-foreground"
              ),
              onClick: () => selectItem(index),
              children: [
                /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(
                  "div",
                  {
                    style: {
                      borderRadius: "100%",
                      width: "48px",
                      height: "48px",
                      // image may not be a square
                      backgroundImage: `url(${item.avatar_url})`,
                      backgroundSize: "cover",
                      backgroundPosition: "center"
                    }
                  }
                ),
                /* @__PURE__ */ (0, import_jsx_runtime2.jsxs)("div", { children: [
                  /* @__PURE__ */ (0, import_jsx_runtime2.jsx)("div", { className: "font-bold text-sm", children: item.display_name }),
                  /* @__PURE__ */ (0, import_jsx_runtime2.jsxs)("div", { className: "font-bold text-muted-foreground text-sm", children: [
                    "@",
                    item.username
                  ] })
                ] })
              ]
            },
            item.username
          )
        ) : noResults ? /* @__PURE__ */ (0, import_jsx_runtime2.jsx)("div", { className: "flex flex-row p-2 px-3", children: "Not found" }) : /* @__PURE__ */ (0, import_jsx_runtime2.jsxs)("div", { className: "flex items-center space-x-2 p-2 px-3", children: [
          /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(Skeleton, { className: "h-12 w-12 rounded-full" }),
          /* @__PURE__ */ (0, import_jsx_runtime2.jsxs)("div", { className: "space-y-2", children: [
            /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(Skeleton, { className: "h-4 w-[100px]" }),
            /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(Skeleton, { className: "h-4 w-[50px]" })
          ] })
        ] })
      }
    )
  );
});
MentionList.displayName = "MentionList";
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  MentionList
});
