"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/lib/embeds.tsx
var embeds_exports = {};
__export(embeds_exports, {
  EmbedsEditor: () => EmbedsEditor
});
module.exports = __toCommonJS(embeds_exports);
var import_core = require("@mod-protocol/core");
var import_farcaster = require("@mod-protocol/farcaster");
var import_react_icons = require("@radix-ui/react-icons");

// src/components/ui/button.tsx
var React = __toESM(require("react"));
var import_react_slot = require("@radix-ui/react-slot");
var import_class_variance_authority = require("class-variance-authority");

// src/lib/utils.ts
var import_clsx = require("clsx");
var import_tailwind_merge = require("tailwind-merge");
function cn(...inputs) {
  return (0, import_tailwind_merge.twMerge)((0, import_clsx.clsx)(inputs));
}

// src/components/ui/button.tsx
var import_jsx_runtime = require("react/jsx-runtime");
var buttonVariants = (0, import_class_variance_authority.cva)(
  "inline-flex items-center justify-center rounded-md text-sm font-medium transition-colors focus-visible:outline-none focus-visible:ring-1 focus-visible:ring-ring disabled:pointer-events-none disabled:opacity-50",
  {
    variants: {
      variant: {
        primary: "bg-primary text-primary-foreground shadow hover:bg-primary/90",
        default: "bg-primary text-primary-foreground shadow hover:bg-primary/90",
        destructive: "bg-destructive text-destructive-foreground shadow-sm hover:bg-destructive/90",
        outline: "border border-input bg-transparent shadow-sm hover:bg-accent hover:text-accent-foreground",
        secondary: "bg-secondary text-secondary-foreground shadow-sm hover:bg-secondary/80",
        ghost: "hover:bg-accent hover:text-accent-foreground",
        link: "text-primary underline-offset-4 hover:underline"
      },
      size: {
        default: "h-9 px-4 py-2",
        sm: "h-8 rounded-md px-3 text-xs",
        lg: "h-10 rounded-md px-8",
        icon: "h-9 w-9"
      }
    },
    defaultVariants: {
      variant: "default",
      size: "default"
    }
  }
);
var Button = React.forwardRef(
  (_a, ref) => {
    var _b = _a, { className, variant, size, asChild = false } = _b, props = __objRest(_b, ["className", "variant", "size", "asChild"]);
    const Comp = asChild ? import_react_slot.Slot : "button";
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      Comp,
      __spreadValues({
        className: cn(buttonVariants({ variant, size, className })),
        ref
      }, props)
    );
  }
);
Button.displayName = "Button";

// src/components/ui/skeleton.tsx
var import_jsx_runtime2 = require("react/jsx-runtime");
function Skeleton(_a) {
  var _b = _a, {
    className
  } = _b, props = __objRest(_b, [
    "className"
  ]);
  return /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(
    "div",
    __spreadValues({
      className: cn("animate-pulse rounded-md bg-primary/10", className)
    }, props)
  );
}

// src/renderers/video.tsx
var import_react = __toESM(require("react"));
var import_video = __toESM(require("video.js"));
var import_jsx_runtime3 = require("react/jsx-runtime");
var videoJSoptions = {
  fluid: true,
  controls: true,
  fill: true,
  responsive: true
};
function handleClick(e) {
  e.stopPropagation();
  e.preventDefault();
}
var VideoRenderer = (props) => {
  const videoRef = import_react.default.useRef(null);
  const playerRef = import_react.default.useRef(null);
  const options = (0, import_react.useMemo)(
    () => {
      var _a, _b, _c;
      return __spreadProps(__spreadValues({}, videoJSoptions), {
        // video is not necessarily rewritten yet
        sources: [
          {
            src: (_a = props.videoSrc) != null ? _a : "",
            type: ((_b = props.videoSrc) == null ? void 0 : _b.endsWith(".m3u8")) ? "application/x-mpegURL" : ((_c = props.videoSrc) == null ? void 0 : _c.endsWith(".mp4")) ? "video/mp4" : ""
          }
        ]
      });
    },
    [props.videoSrc]
  );
  (0, import_react.useEffect)(() => {
    var _a;
    if (!playerRef.current) {
      const videoElement = document.createElement("video-js");
      videoElement.classList.add("vjs-big-play-centered");
      (_a = videoRef.current) == null ? void 0 : _a.appendChild(videoElement);
      playerRef.current = (0, import_video.default)(videoElement, options);
    } else {
      const player = playerRef.current;
      player.autoplay(options.autoplay);
      player.src(options.sources);
    }
  }, [options, videoRef, props]);
  (0, import_react.useEffect)(() => {
    const player = playerRef.current;
    return () => {
      if (player && !player.isDisposed()) {
        player.dispose();
        playerRef.current = null;
      }
    };
  }, [playerRef]);
  return /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("div", { "data-vjs-player": true, onClick: handleClick, children: /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("div", { ref: videoRef }) });
};

// src/lib/embeds.tsx
var import_jsx_runtime4 = require("react/jsx-runtime");
var EmbedsEditor = ({
  embeds,
  setEmbeds,
  RichEmbed
}) => {
  return /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_jsx_runtime4.Fragment, { children: embeds.map((embed, i) => {
    var _a;
    return /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)("div", { className: "relative", children: [
      /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(
        Button,
        {
          className: "rounded-full text-white dark:text-black hover:text-gray-300 absolute -top-4 -left-4 border-white dark:border-black border z-50",
          size: "icon",
          type: "button",
          onClick: () => {
            setEmbeds(embeds.filter((item, j) => j !== i));
          },
          children: /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(import_react_icons.Cross1Icon, {})
        }
      ),
      (0, import_farcaster.isFarcasterUrlEmbed)(embed) && (0, import_core.isImageEmbed)(embed) ? /* @__PURE__ */ (0, import_jsx_runtime4.jsx)("div", { className: "border rounded mt-2", children: /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(
        "img",
        {
          src: embed.url,
          alt: (_a = embed.metadata) == null ? void 0 : _a.alt,
          className: "rounded",
          style: { width: "100%" },
          width: 300,
          height: 100
        }
      ) }, i) : (0, import_farcaster.isFarcasterUrlEmbed)(embed) && (0, import_core.isVideoEmbed)(embed) ? /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(VideoRenderer, { videoSrc: embed.url }) : embed.status === "loading" ? /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(Skeleton, { className: "h-[100px] w-full items-center flex justify-center", children: "Loading..." }) : /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(RichEmbed, { embed })
    ] }, i);
  }) });
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  EmbedsEditor
});
