import * as React from 'react';
import { FarcasterMention, Channel } from '@mod-protocol/farcaster';

type MentionListRef = {
    onKeyDown: (props: {
        event: Event;
    }) => boolean;
};
declare const createRenderMentionsSuggestionConfig: <T = FarcasterMention | Channel>({ getResults, RenderList, }: {
    RenderList: React.ForwardRefExoticComponent<{
        items: (T | null)[];
        command: any;
    } & React.RefAttributes<MentionListRef>>;
    getResults: (query: string) => Promise<(T | null)[]>;
}) => {
    suggestion: {
        items: ({ query }: {
            query: string;
        }) => Promise<(T | null)[]>;
        render: () => {
            onStart: (props: any) => void;
            onUpdate(props: any): void;
            onKeyDown(props: any): boolean;
            onExit(): void;
        };
    };
};

export { createRenderMentionsSuggestionConfig };
