"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/renderers/card.tsx
var card_exports = {};
__export(card_exports, {
  CardImageBadge: () => CardImageBadge,
  CardRenderer: () => CardRenderer
});
module.exports = __toCommonJS(card_exports);

// src/lib/utils.ts
var import_clsx = require("clsx");
var import_tailwind_merge = require("tailwind-merge");
function cn(...inputs) {
  return (0, import_tailwind_merge.twMerge)((0, import_clsx.clsx)(inputs));
}

// src/components/ui/aspect-ratio.tsx
var AspectRatioPrimitive = __toESM(require("@radix-ui/react-aspect-ratio"));
var AspectRatio = AspectRatioPrimitive.Root;

// src/renderers/card.tsx
var import_jsx_runtime = require("react/jsx-runtime");
var CardRenderer = (props) => {
  const {
    imageSrc,
    aspectRatio,
    topLeftBadge,
    topRightBadge,
    bottomLeftBadge,
    bottomRightBadge,
    children,
    onClick
  } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(
    "div",
    {
      className: "flex flex-col",
      onClick: (e) => {
        e.stopPropagation();
        onClick();
      },
      children: [
        imageSrc ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(AspectRatio, { ratio: aspectRatio || 1, children: /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("div", { className: "w-full h-full bg-slate-900 relative", children: [
          topLeftBadge ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(CardImageBadge, { position: "topLeft", children: topLeftBadge }) : null,
          topRightBadge ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(CardImageBadge, { position: "topRight", children: topRightBadge }) : null,
          bottomLeftBadge ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(CardImageBadge, { position: "bottomLeft", children: bottomLeftBadge }) : null,
          bottomRightBadge ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(CardImageBadge, { position: "bottomRight", children: bottomRightBadge }) : null,
          /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
            "img",
            {
              className: "object-cover w-full h-full",
              alt: "Image",
              src: imageSrc
            }
          )
        ] }) }) : null,
        /* @__PURE__ */ (0, import_jsx_runtime.jsx)("div", { className: "p-2", children })
      ]
    }
  );
};
var CardImageBadge = (props) => {
  const { children, position } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    "div",
    {
      className: cn(
        "absolute rounded p-1 px-2 bg-[#1f162ae6]  text-slate-200",
        {
          "top-1 left-1": position === "topLeft",
          "top-1 right-1": position === "topRight",
          "bottom-1 left-1": position === "bottomLeft",
          "bottom-1 right-1": position === "bottomLeft"
        }
      ),
      children
    }
  );
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CardImageBadge,
  CardRenderer
});
