"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/renderers/index.tsx
var renderers_exports = {};
__export(renderers_exports, {
  renderers: () => renderers
});
module.exports = __toCommonJS(renderers_exports);

// src/renderers/text.tsx
var import_class_variance_authority = require("class-variance-authority");

// src/lib/utils.ts
var import_clsx = require("clsx");
var import_tailwind_merge = require("tailwind-merge");
function cn(...inputs) {
  return (0, import_tailwind_merge.twMerge)((0, import_clsx.clsx)(inputs));
}

// src/renderers/text.tsx
var import_jsx_runtime = require("react/jsx-runtime");
var textVariants = (0, import_class_variance_authority.cva)("my-0 flex-1 text-sm break-words", {
  variants: {
    variant: {
      bold: "font-bold",
      regular: "",
      secondary: "text-muted-foreground"
    }
  },
  defaultVariants: {
    variant: "regular"
  }
});
var TextRenderer = (props) => {
  const { label, variant = "regular" } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("p", { className: cn(textVariants({ variant })), children: label });
};

// src/components/ui/circular-progress.tsx
var React = __toESM(require("react"));
var import_class_variance_authority2 = require("class-variance-authority");
var import_jsx_runtime2 = require("react/jsx-runtime");
var circularProgressVariants = (0, import_class_variance_authority2.cva)(
  "inline-block animate-spin rounded-full border-solid border-current border-r-transparent align-[-0.125em] motion-reduce:animate-[spin_1.5s_linear_infinite]",
  {
    variants: {
      size: {
        default: "h-8 w-8 border-4",
        sm: "h-4 w-4 border-2",
        lg: "h-12 w-12 border-6"
      }
    },
    defaultVariants: {
      size: "default"
    }
  }
);
var CircularProgress = React.forwardRef((_a, ref) => {
  var _b = _a, { className, size } = _b, props = __objRest(_b, ["className", "size"]);
  return /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(
    "div",
    __spreadProps(__spreadValues({
      ref,
      role: "status",
      className: cn(circularProgressVariants({ size, className }))
    }, props), {
      children: /* @__PURE__ */ (0, import_jsx_runtime2.jsx)("span", { className: "!absolute !-m-px !h-px !w-px !overflow-hidden !whitespace-nowrap !border-0 !p-0 ![clip:rect(0,0,0,0)]", children: "Loading..." })
    })
  );
});
CircularProgress.displayName = "CircularProgress";

// src/components/ui/button.tsx
var React2 = __toESM(require("react"));
var import_react_slot = require("@radix-ui/react-slot");
var import_class_variance_authority3 = require("class-variance-authority");
var import_jsx_runtime3 = require("react/jsx-runtime");
var buttonVariants = (0, import_class_variance_authority3.cva)(
  "inline-flex items-center justify-center rounded-md text-sm font-medium transition-colors focus-visible:outline-none focus-visible:ring-1 focus-visible:ring-ring disabled:pointer-events-none disabled:opacity-50",
  {
    variants: {
      variant: {
        primary: "bg-primary text-primary-foreground shadow hover:bg-primary/90",
        default: "bg-primary text-primary-foreground shadow hover:bg-primary/90",
        destructive: "bg-destructive text-destructive-foreground shadow-sm hover:bg-destructive/90",
        outline: "border border-input bg-transparent shadow-sm hover:bg-accent hover:text-accent-foreground",
        secondary: "bg-secondary text-secondary-foreground shadow-sm hover:bg-secondary/80",
        ghost: "hover:bg-accent hover:text-accent-foreground",
        link: "text-primary underline-offset-4 hover:underline"
      },
      size: {
        default: "h-9 px-4 py-2",
        sm: "h-8 rounded-md px-3 text-xs",
        lg: "h-10 rounded-md px-8",
        icon: "h-9 w-9"
      }
    },
    defaultVariants: {
      variant: "default",
      size: "default"
    }
  }
);
var Button = React2.forwardRef(
  (_a, ref) => {
    var _b = _a, { className, variant, size, asChild = false } = _b, props = __objRest(_b, ["className", "variant", "size", "asChild"]);
    const Comp = asChild ? import_react_slot.Slot : "button";
    return /* @__PURE__ */ (0, import_jsx_runtime3.jsx)(
      Comp,
      __spreadValues({
        className: cn(buttonVariants({ variant, size, className })),
        ref
      }, props)
    );
  }
);
Button.displayName = "Button";

// src/renderers/button.tsx
var import_jsx_runtime4 = require("react/jsx-runtime");
var ButtonRenderer = (props) => {
  const {
    label,
    isDisabled,
    isLoading,
    onClick,
    variant = "primary",
    loadingLabel = ""
  } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(
    Button,
    {
      variant,
      disabled: isDisabled || isLoading,
      onClick: (e) => {
        e.stopPropagation();
        return onClick();
      },
      children: isLoading ? /* @__PURE__ */ (0, import_jsx_runtime4.jsxs)(import_jsx_runtime4.Fragment, { children: [
        /* @__PURE__ */ (0, import_jsx_runtime4.jsx)(CircularProgress, { size: "sm", className: loadingLabel ? "mr-1" : "" }),
        loadingLabel
      ] }) : label
    }
  );
};

// src/renderers/circular-progress.tsx
var import_jsx_runtime5 = require("react/jsx-runtime");
var CircularProgressRenderer = (props) => {
  return /* @__PURE__ */ (0, import_jsx_runtime5.jsx)(CircularProgress, {});
};

// src/renderers/horizontal-layout.tsx
var import_jsx_runtime6 = require("react/jsx-runtime");
var HorizontalLayoutRenderer = (props) => {
  return /* @__PURE__ */ (0, import_jsx_runtime6.jsx)("div", { className: "flex flex-row h-full gap-2 items-center", children: props.children });
};

// src/renderers/vertical-layout.tsx
var import_jsx_runtime7 = require("react/jsx-runtime");
var VerticalLayoutRenderer = (props) => {
  return /* @__PURE__ */ (0, import_jsx_runtime7.jsx)("div", { className: "flex flex-col w-full space-y-2", children: props.children });
};

// src/components/ui/tabs.tsx
var React3 = __toESM(require("react"));
var TabsPrimitive = __toESM(require("@radix-ui/react-tabs"));
var import_jsx_runtime8 = require("react/jsx-runtime");
var Tabs = TabsPrimitive.Root;
var TabsList = React3.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(
    TabsPrimitive.List,
    __spreadValues({
      ref,
      className: cn(
        "inline-flex h-9 items-center justify-center rounded-lg bg-muted p-1 text-muted-foreground",
        className
      )
    }, props)
  );
});
TabsList.displayName = TabsPrimitive.List.displayName;
var TabsTrigger = React3.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(
    TabsPrimitive.Trigger,
    __spreadValues({
      ref,
      className: cn(
        "inline-flex items-center justify-center whitespace-nowrap rounded-md px-3 py-1 text-sm font-medium ring-offset-background transition-all focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2 disabled:pointer-events-none disabled:opacity-50 data-[state=active]:bg-background data-[state=active]:text-foreground data-[state=active]:shadow",
        className
      )
    }, props)
  );
});
TabsTrigger.displayName = TabsPrimitive.Trigger.displayName;
var TabsContent = React3.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime8.jsx)(
    TabsPrimitive.Content,
    __spreadValues({
      ref,
      className: cn(
        "mt-2 ring-offset-background focus-visible:outline-none focus-visible:ring-2 focus-visible:ring-ring focus-visible:ring-offset-2",
        className
      )
    }, props)
  );
});
TabsContent.displayName = TabsPrimitive.Content.displayName;

// src/renderers/tabs.tsx
var import_jsx_runtime9 = require("react/jsx-runtime");
var TabsRenderer = (props) => {
  const { values, names, children, onChange } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime9.jsxs)(Tabs, { defaultValue: values[0], className: "w-full flex", children: [
    /* @__PURE__ */ (0, import_jsx_runtime9.jsx)(TabsList, { className: "grid w-full grid-cols-2", children: values.map((value, index) => /* @__PURE__ */ (0, import_jsx_runtime9.jsx)(
      TabsTrigger,
      {
        value,
        onClick: () => onChange(value),
        children: names[index]
      },
      value
    )) }),
    values.map((value) => /* @__PURE__ */ (0, import_jsx_runtime9.jsx)(TabsContent, { value, children }, value))
  ] });
};

// src/renderers/input.tsx
var import_react = __toESM(require("react"));

// src/components/ui/input.tsx
var React4 = __toESM(require("react"));
var import_jsx_runtime10 = require("react/jsx-runtime");
var Input = React4.forwardRef(
  (_a, ref) => {
    var _b = _a, { className, type } = _b, props = __objRest(_b, ["className", "type"]);
    return /* @__PURE__ */ (0, import_jsx_runtime10.jsx)(
      "input",
      __spreadValues({
        type,
        className: cn(
          "flex h-9 w-full rounded-md border border-input bg-transparent px-3 py-1 text-sm shadow-sm transition-colors file:border-0 file:bg-transparent file:text-sm file:font-medium placeholder:text-muted-foreground focus-visible:outline-none focus-visible:ring-1 focus-visible:ring-ring disabled:cursor-not-allowed disabled:opacity-50",
          className
        ),
        ref
      }, props)
    );
  }
);
Input.displayName = "Input";

// src/renderers/input.tsx
var import_react_icons = require("@radix-ui/react-icons");
var import_jsx_runtime11 = require("react/jsx-runtime");
var InputRenderer = (props) => {
  const { isClearable, placeholder, onChange, onSubmit } = props;
  const [value, setValue] = import_react.default.useState("");
  const inputRef = import_react.default.useRef(null);
  return /* @__PURE__ */ (0, import_jsx_runtime11.jsxs)("div", { className: "w-full flex flex-row items-center border rounded-md border-input", children: [
    /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(
      Input,
      {
        ref: inputRef,
        placeholder,
        className: cn("flex-1 border-none", isClearable && value ? "pr-1" : ""),
        onChange: (ev) => {
          onChange(ev.currentTarget.value);
          setValue(ev.currentTarget.value);
        },
        onSubmit: (ev) => {
          onSubmit(ev.currentTarget.value);
          setValue(ev.currentTarget.value);
        },
        value
      }
    ),
    isClearable && value ? /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(
      Button,
      {
        type: "button",
        className: "rounded-l-none text-gray-400 hover:bg-transparent",
        variant: "ghost",
        size: "icon",
        onClick: () => {
          var _a;
          onChange("");
          setValue("");
          (_a = inputRef.current) == null ? void 0 : _a.focus();
        },
        children: /* @__PURE__ */ (0, import_jsx_runtime11.jsx)(import_react_icons.Cross1Icon, {})
      }
    ) : null
  ] });
};

// src/components/ui/link.tsx
var React6 = __toESM(require("react"));
var import_jsx_runtime12 = require("react/jsx-runtime");
var Link = React6.forwardRef(
  (_a, ref) => {
    var _b = _a, { className, variant = "link", size, asChild = false } = _b, props = __objRest(_b, ["className", "variant", "size", "asChild"]);
    return /* @__PURE__ */ (0, import_jsx_runtime12.jsx)(
      "a",
      __spreadValues({
        className: cn(buttonVariants({ variant, size, className })),
        ref
      }, props)
    );
  }
);
Link.displayName = "Link";

// src/renderers/link.tsx
var import_jsx_runtime13 = require("react/jsx-runtime");
var LinkRenderer = (props) => {
  const { label, url, onClick, variant = "default" } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime13.jsx)(
    Link,
    {
      variant,
      href: url,
      onClick: (e) => {
        e.stopPropagation();
        return onClick();
      },
      target: "_blank",
      rel: "noopener noreferrer",
      children: label
    }
  );
};

// src/components/ui/scroll-area.tsx
var React7 = __toESM(require("react"));
var ScrollAreaPrimitive = __toESM(require("@radix-ui/react-scroll-area"));
var import_jsx_runtime14 = require("react/jsx-runtime");
var ScrollArea = React7.forwardRef((_a, ref) => {
  var _b = _a, { className, children } = _b, props = __objRest(_b, ["className", "children"]);
  return /* @__PURE__ */ (0, import_jsx_runtime14.jsxs)(
    ScrollAreaPrimitive.Root,
    __spreadProps(__spreadValues({
      ref,
      className: cn("relative overflow-hidden", className)
    }, props), {
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime14.jsx)(ScrollAreaPrimitive.Viewport, { className: "h-full w-full rounded-[inherit]", children }),
        /* @__PURE__ */ (0, import_jsx_runtime14.jsx)(ScrollBar, {}),
        /* @__PURE__ */ (0, import_jsx_runtime14.jsx)(ScrollAreaPrimitive.Corner, {})
      ]
    })
  );
});
ScrollArea.displayName = ScrollAreaPrimitive.Root.displayName;
var ScrollBar = React7.forwardRef((_a, ref) => {
  var _b = _a, { className, orientation = "vertical" } = _b, props = __objRest(_b, ["className", "orientation"]);
  return /* @__PURE__ */ (0, import_jsx_runtime14.jsx)(
    ScrollAreaPrimitive.ScrollAreaScrollbar,
    __spreadProps(__spreadValues({
      ref,
      orientation,
      className: cn(
        "flex touch-none select-none transition-colors",
        orientation === "vertical" && "h-full w-2.5 border-l border-l-transparent p-[1px]",
        orientation === "horizontal" && "h-2.5 border-t border-t-transparent p-[1px]",
        className
      )
    }, props), {
      children: /* @__PURE__ */ (0, import_jsx_runtime14.jsx)(ScrollAreaPrimitive.ScrollAreaThumb, { className: "relative flex-1 rounded-full bg-border" })
    })
  );
});
ScrollBar.displayName = ScrollAreaPrimitive.ScrollAreaScrollbar.displayName;

// src/components/ui/aspect-ratio.tsx
var AspectRatioPrimitive = __toESM(require("@radix-ui/react-aspect-ratio"));
var AspectRatio = AspectRatioPrimitive.Root;

// src/components/ui/skeleton.tsx
var import_jsx_runtime15 = require("react/jsx-runtime");
function Skeleton(_a) {
  var _b = _a, {
    className
  } = _b, props = __objRest(_b, [
    "className"
  ]);
  return /* @__PURE__ */ (0, import_jsx_runtime15.jsx)(
    "div",
    __spreadValues({
      className: cn("animate-pulse rounded-md bg-primary/10", className)
    }, props)
  );
}

// src/renderers/image-grid-list.tsx
var import_react_icons2 = require("@radix-ui/react-icons");
var import_jsx_runtime16 = require("react/jsx-runtime");
var ImageGridListRenderer = (props) => {
  const { images, isLoading, onPick } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime16.jsx)(ScrollArea, { className: "h-96 w-full", children: /* @__PURE__ */ (0, import_jsx_runtime16.jsx)("div", { className: "grid w-full grid-cols-3 gap-2", children: isLoading ? Array.from(Array(24).keys()).map((item) => /* @__PURE__ */ (0, import_jsx_runtime16.jsx)(AspectRatio, { ratio: 1, children: /* @__PURE__ */ (0, import_jsx_runtime16.jsx)(Skeleton, { className: "w-full h-full" }) }, item)) : images && images.length ? images.map((item) => /* @__PURE__ */ (0, import_jsx_runtime16.jsx)(AspectRatio, { ratio: 1, children: /* @__PURE__ */ (0, import_jsx_runtime16.jsx)(
    "button",
    {
      type: "button",
      className: "w-full h-full active:opacity-50 rounded-md",
      onClick: () => onPick(item),
      children: /* @__PURE__ */ (0, import_jsx_runtime16.jsx)(
        "img",
        {
          className: "object-cover w-full h-full bg-slate-900 rounded-md",
          alt: "Gify",
          src: item
        }
      )
    }
  ) }, item)) : /* @__PURE__ */ (0, import_jsx_runtime16.jsxs)("div", { className: "text-base flex justify-center items-center w-full col-span-3 py-2 text-gray-400", children: [
    /* @__PURE__ */ (0, import_jsx_runtime16.jsx)(import_react_icons2.MagnifyingGlassIcon, { className: "mr-2" }),
    "No images to display."
  ] }) }) });
};

// src/components/ui/dialog.tsx
var React8 = __toESM(require("react"));
var DialogPrimitive = __toESM(require("@radix-ui/react-dialog"));
var import_react_icons3 = require("@radix-ui/react-icons");
var import_jsx_runtime17 = require("react/jsx-runtime");
var Dialog = DialogPrimitive.Root;
var DialogPortal = DialogPrimitive.Portal;
var DialogOverlay = React8.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime17.jsx)(
    DialogPrimitive.Overlay,
    __spreadValues({
      ref,
      className: cn(
        "fixed inset-0 z-50 bg-background/80 backdrop-blur-sm data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0",
        className
      )
    }, props)
  );
});
DialogOverlay.displayName = DialogPrimitive.Overlay.displayName;
var DialogContent = React8.forwardRef((_a, ref) => {
  var _b = _a, { className, children } = _b, props = __objRest(_b, ["className", "children"]);
  return /* @__PURE__ */ (0, import_jsx_runtime17.jsxs)(DialogPortal, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime17.jsx)(DialogOverlay, {}),
    /* @__PURE__ */ (0, import_jsx_runtime17.jsxs)(
      DialogPrimitive.Content,
      __spreadProps(__spreadValues({
        ref,
        className: cn(
          "fixed left-[50%] top-[50%] z-50 grid w-full max-w-lg translate-x-[-50%] translate-y-[-50%] gap-4 border bg-background p-6 shadow-lg duration-200 data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[state=closed]:slide-out-to-left-1/2 data-[state=closed]:slide-out-to-top-[48%] data-[state=open]:slide-in-from-left-1/2 data-[state=open]:slide-in-from-top-[48%] sm:rounded-lg md:w-full",
          className
        )
      }, props), {
        children: [
          children,
          /* @__PURE__ */ (0, import_jsx_runtime17.jsxs)(DialogPrimitive.Close, { className: "absolute right-4 top-4 rounded-sm opacity-70 ring-offset-background transition-opacity hover:opacity-100 focus:outline-none focus:ring-2 focus:ring-ring focus:ring-offset-2 disabled:pointer-events-none data-[state=open]:bg-accent data-[state=open]:text-muted-foreground", children: [
            /* @__PURE__ */ (0, import_jsx_runtime17.jsx)(import_react_icons3.Cross2Icon, { className: "h-4 w-4" }),
            /* @__PURE__ */ (0, import_jsx_runtime17.jsx)("span", { className: "sr-only", children: "Close" })
          ] })
        ]
      })
    )
  ] });
});
DialogContent.displayName = DialogPrimitive.Content.displayName;
var DialogHeader = (_a) => {
  var _b = _a, {
    className
  } = _b, props = __objRest(_b, [
    "className"
  ]);
  return /* @__PURE__ */ (0, import_jsx_runtime17.jsx)(
    "div",
    __spreadValues({
      className: cn(
        "flex flex-col space-y-1.5 text-center sm:text-left",
        className
      )
    }, props)
  );
};
DialogHeader.displayName = "DialogHeader";
var DialogFooter = (_a) => {
  var _b = _a, {
    className
  } = _b, props = __objRest(_b, [
    "className"
  ]);
  return /* @__PURE__ */ (0, import_jsx_runtime17.jsx)(
    "div",
    __spreadValues({
      className: cn(
        "flex flex-col-reverse sm:flex-row sm:justify-end sm:space-x-2",
        className
      )
    }, props)
  );
};
DialogFooter.displayName = "DialogFooter";
var DialogTitle = React8.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime17.jsx)(
    DialogPrimitive.Title,
    __spreadValues({
      ref,
      className: cn(
        "text-lg font-semibold leading-none tracking-tight",
        className
      )
    }, props)
  );
});
DialogTitle.displayName = DialogPrimitive.Title.displayName;
var DialogDescription = React8.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime17.jsx)(
    DialogPrimitive.Description,
    __spreadValues({
      ref,
      className: cn("text-sm text-muted-foreground", className)
    }, props)
  );
});
DialogDescription.displayName = DialogPrimitive.Description.displayName;

// src/renderers/dialog.tsx
var import_jsx_runtime18 = require("react/jsx-runtime");
var DialogRenderer = (props) => {
  const { children, onClose } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime18.jsx)(
    Dialog,
    {
      open: true,
      onOpenChange: (open) => {
        if (!open) {
          onClose();
        }
      },
      children: /* @__PURE__ */ (0, import_jsx_runtime18.jsx)(DialogContent, { className: "flex sm:max-w-[420px] mb-4 max-h-[calc(100%-theme(space.8))] pt-12", children })
    }
  );
};

// src/renderers/alert.tsx
var import_react_icons4 = require("@radix-ui/react-icons");

// src/components/ui/alert.tsx
var React9 = __toESM(require("react"));
var import_class_variance_authority4 = require("class-variance-authority");
var import_jsx_runtime19 = require("react/jsx-runtime");
var alertVariants = (0, import_class_variance_authority4.cva)(
  "relative w-full rounded-lg border px-4 py-3 text-sm [&>svg+div]:translate-y-[-3px] [&>svg]:absolute [&>svg]:left-4 [&>svg]:top-4 [&>svg]:text-foreground [&>svg~*]:pl-7",
  {
    variants: {
      variant: {
        default: "bg-background text-foreground",
        destructive: "border-destructive/50 text-destructive dark:border-destructive [&>svg]:text-destructive"
      }
    },
    defaultVariants: {
      variant: "default"
    }
  }
);
var Alert = React9.forwardRef((_a, ref) => {
  var _b = _a, { className, variant } = _b, props = __objRest(_b, ["className", "variant"]);
  return /* @__PURE__ */ (0, import_jsx_runtime19.jsx)(
    "div",
    __spreadValues({
      ref,
      role: "alert",
      className: cn(alertVariants({ variant }), className)
    }, props)
  );
});
Alert.displayName = "Alert";
var AlertTitle = React9.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime19.jsx)(
    "h5",
    __spreadValues({
      ref,
      className: cn("mb-1 font-medium leading-none tracking-tight", className)
    }, props)
  );
});
AlertTitle.displayName = "AlertTitle";
var AlertDescription = React9.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime19.jsx)(
    "div",
    __spreadValues({
      ref,
      className: cn("text-sm [&_p]:leading-relaxed", className)
    }, props)
  );
});
AlertDescription.displayName = "AlertDescription";

// src/renderers/alert.tsx
var import_jsx_runtime20 = require("react/jsx-runtime");
var AlertRenderer = (props) => {
  const { description, title, variant } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime20.jsxs)(Alert, { variant: variant === "error" ? "destructive" : "default", children: [
    variant === "error" ? /* @__PURE__ */ (0, import_jsx_runtime20.jsx)(import_react_icons4.ExclamationTriangleIcon, { className: "h-4 w-4" }) : /* @__PURE__ */ (0, import_jsx_runtime20.jsx)(import_react_icons4.CheckCircledIcon, { className: "h-4 w-4" }),
    /* @__PURE__ */ (0, import_jsx_runtime20.jsx)(AlertTitle, { children: title }),
    /* @__PURE__ */ (0, import_jsx_runtime20.jsx)(AlertDescription, { children: description })
  ] });
};

// src/renderers/video.tsx
var import_react2 = __toESM(require("react"));
var import_video = __toESM(require("video.js"));
var import_jsx_runtime21 = require("react/jsx-runtime");
var videoJSoptions = {
  fluid: true,
  controls: true,
  fill: true,
  responsive: true
};
function handleClick(e) {
  e.stopPropagation();
  e.preventDefault();
}
var VideoRenderer = (props) => {
  const videoRef = import_react2.default.useRef(null);
  const playerRef = import_react2.default.useRef(null);
  const options = (0, import_react2.useMemo)(
    () => {
      var _a, _b, _c;
      return __spreadProps(__spreadValues({}, videoJSoptions), {
        // video is not necessarily rewritten yet
        sources: [
          {
            src: (_a = props.videoSrc) != null ? _a : "",
            type: ((_b = props.videoSrc) == null ? void 0 : _b.endsWith(".m3u8")) ? "application/x-mpegURL" : ((_c = props.videoSrc) == null ? void 0 : _c.endsWith(".mp4")) ? "video/mp4" : ""
          }
        ]
      });
    },
    [props.videoSrc]
  );
  (0, import_react2.useEffect)(() => {
    var _a;
    if (!playerRef.current) {
      const videoElement = document.createElement("video-js");
      videoElement.classList.add("vjs-big-play-centered");
      (_a = videoRef.current) == null ? void 0 : _a.appendChild(videoElement);
      playerRef.current = (0, import_video.default)(videoElement, options);
    } else {
      const player = playerRef.current;
      player.autoplay(options.autoplay);
      player.src(options.sources);
    }
  }, [options, videoRef, props]);
  (0, import_react2.useEffect)(() => {
    const player = playerRef.current;
    return () => {
      if (player && !player.isDisposed()) {
        player.dispose();
        playerRef.current = null;
      }
    };
  }, [playerRef]);
  return /* @__PURE__ */ (0, import_jsx_runtime21.jsx)("div", { "data-vjs-player": true, onClick: handleClick, children: /* @__PURE__ */ (0, import_jsx_runtime21.jsx)("div", { ref: videoRef }) });
};

// src/renderers/card.tsx
var import_jsx_runtime22 = require("react/jsx-runtime");
var CardRenderer = (props) => {
  const {
    imageSrc,
    aspectRatio,
    topLeftBadge,
    topRightBadge,
    bottomLeftBadge,
    bottomRightBadge,
    children,
    onClick
  } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime22.jsxs)(
    "div",
    {
      className: "flex flex-col",
      onClick: (e) => {
        e.stopPropagation();
        onClick();
      },
      children: [
        imageSrc ? /* @__PURE__ */ (0, import_jsx_runtime22.jsx)(AspectRatio, { ratio: aspectRatio || 1, children: /* @__PURE__ */ (0, import_jsx_runtime22.jsxs)("div", { className: "w-full h-full bg-slate-900 relative", children: [
          topLeftBadge ? /* @__PURE__ */ (0, import_jsx_runtime22.jsx)(CardImageBadge, { position: "topLeft", children: topLeftBadge }) : null,
          topRightBadge ? /* @__PURE__ */ (0, import_jsx_runtime22.jsx)(CardImageBadge, { position: "topRight", children: topRightBadge }) : null,
          bottomLeftBadge ? /* @__PURE__ */ (0, import_jsx_runtime22.jsx)(CardImageBadge, { position: "bottomLeft", children: bottomLeftBadge }) : null,
          bottomRightBadge ? /* @__PURE__ */ (0, import_jsx_runtime22.jsx)(CardImageBadge, { position: "bottomRight", children: bottomRightBadge }) : null,
          /* @__PURE__ */ (0, import_jsx_runtime22.jsx)(
            "img",
            {
              className: "object-cover w-full h-full",
              alt: "Image",
              src: imageSrc
            }
          )
        ] }) }) : null,
        /* @__PURE__ */ (0, import_jsx_runtime22.jsx)("div", { className: "p-2", children })
      ]
    }
  );
};
var CardImageBadge = (props) => {
  const { children, position } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime22.jsx)(
    "div",
    {
      className: cn(
        "absolute rounded p-1 px-2 bg-[#1f162ae6]  text-slate-200",
        {
          "top-1 left-1": position === "topLeft",
          "top-1 right-1": position === "topRight",
          "bottom-1 left-1": position === "bottomLeft",
          "bottom-1 right-1": position === "bottomLeft"
        }
      ),
      children
    }
  );
};

// src/components/ui/avatar.tsx
var React11 = __toESM(require("react"));
var AvatarPrimitive = __toESM(require("@radix-ui/react-avatar"));
var import_jsx_runtime23 = require("react/jsx-runtime");
var Avatar = React11.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime23.jsx)(
    AvatarPrimitive.Root,
    __spreadValues({
      ref,
      className: cn(
        "relative flex h-10 w-10 shrink-0 overflow-hidden rounded-full",
        className
      )
    }, props)
  );
});
Avatar.displayName = AvatarPrimitive.Root.displayName;
var AvatarImage = React11.forwardRef(
  (_a, ref) => {
    var _b = _a, { src, className } = _b, props = __objRest(_b, ["src", "className"]);
    return /* @__PURE__ */ (0, import_jsx_runtime23.jsx)(
      "div",
      __spreadValues({
        ref,
        className: cn("aspect-square h-full w-full", className),
        style: {
          backgroundImage: `url(${src})`,
          backgroundPosition: "center center",
          backgroundRepeat: "no-repeat",
          backgroundSize: "auto 100%"
        }
      }, props)
    );
  }
);
AvatarImage.displayName = AvatarPrimitive.Image.displayName;
var AvatarFallback = React11.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime23.jsx)(
    AvatarPrimitive.Fallback,
    __spreadValues({
      ref,
      className: cn(
        "flex h-full w-full items-center justify-center rounded-full bg-muted",
        className
      )
    }, props)
  );
});
AvatarFallback.displayName = AvatarPrimitive.Fallback.displayName;

// src/renderers/avatar.tsx
var import_jsx_runtime24 = require("react/jsx-runtime");
var AvatarRenderer = (props) => {
  return /* @__PURE__ */ (0, import_jsx_runtime24.jsxs)(Avatar, { children: [
    /* @__PURE__ */ (0, import_jsx_runtime24.jsx)(AvatarImage, { src: props.src }),
    /* @__PURE__ */ (0, import_jsx_runtime24.jsx)(AvatarFallback, {})
  ] });
};

// src/renderers/image.tsx
var import_jsx_runtime25 = require("react/jsx-runtime");
var ImageRenderer = (props) => {
  const { imageSrc } = props;
  return /* @__PURE__ */ (0, import_jsx_runtime25.jsx)("div", { className: "rounded", children: /* @__PURE__ */ (0, import_jsx_runtime25.jsx)(
    "img",
    {
      src: imageSrc,
      className: "rounded",
      style: { width: "100%" },
      width: 300,
      height: 100
    }
  ) });
};

// src/renderers/container.tsx
var import_jsx_runtime26 = require("react/jsx-runtime");
var ContainerRenderer = (props) => {
  return /* @__PURE__ */ (0, import_jsx_runtime26.jsx)("div", { className: "mt-2 rounded-md overflow-hidden border", children: props.children });
};

// src/renderers/select.tsx
var import_react3 = __toESM(require("react"));

// src/components/ui/select.tsx
var React12 = __toESM(require("react"));
var import_react_icons5 = require("@radix-ui/react-icons");
var SelectPrimitive = __toESM(require("@radix-ui/react-select"));
var import_jsx_runtime27 = require("react/jsx-runtime");
var Select = SelectPrimitive.Root;
var SelectValue = SelectPrimitive.Value;
var SelectTrigger = React12.forwardRef((_a, ref) => {
  var _b = _a, { className, children } = _b, props = __objRest(_b, ["className", "children"]);
  return /* @__PURE__ */ (0, import_jsx_runtime27.jsxs)(
    SelectPrimitive.Trigger,
    __spreadProps(__spreadValues({
      ref,
      className: cn(
        "flex h-9 w-full items-center justify-between rounded-md border border-input bg-transparent px-3 py-2 text-sm shadow-sm ring-offset-background placeholder:text-muted-foreground focus:outline-none focus:ring-1 focus:ring-ring disabled:cursor-not-allowed disabled:opacity-50",
        className
      )
    }, props), {
      children: [
        children,
        /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(SelectPrimitive.Icon, { asChild: true, children: /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(import_react_icons5.CaretSortIcon, { className: "h-4 w-4 opacity-50" }) })
      ]
    })
  );
});
SelectTrigger.displayName = SelectPrimitive.Trigger.displayName;
var SelectContent = React12.forwardRef((_a, ref) => {
  var _b = _a, { className, children, position = "popper" } = _b, props = __objRest(_b, ["className", "children", "position"]);
  return /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(SelectPrimitive.Portal, { children: /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(
    SelectPrimitive.Content,
    __spreadProps(__spreadValues({
      ref,
      className: cn(
        "relative z-50 min-w-[8rem] overflow-hidden rounded-md border bg-popover text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
        position === "popper" && "data-[side=bottom]:translate-y-1 data-[side=left]:-translate-x-1 data-[side=right]:translate-x-1 data-[side=top]:-translate-y-1",
        className
      ),
      position
    }, props), {
      children: /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(
        SelectPrimitive.Viewport,
        {
          className: cn(
            "p-1",
            position === "popper" && "h-[var(--radix-select-trigger-height)] w-full min-w-[var(--radix-select-trigger-width)]"
          ),
          children
        }
      )
    })
  ) });
});
SelectContent.displayName = SelectPrimitive.Content.displayName;
var SelectLabel = React12.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(
    SelectPrimitive.Label,
    __spreadValues({
      ref,
      className: cn("px-2 py-1.5 text-sm font-semibold", className)
    }, props)
  );
});
SelectLabel.displayName = SelectPrimitive.Label.displayName;
var SelectItem = React12.forwardRef((_a, ref) => {
  var _b = _a, { className, children } = _b, props = __objRest(_b, ["className", "children"]);
  return /* @__PURE__ */ (0, import_jsx_runtime27.jsxs)(
    SelectPrimitive.Item,
    __spreadProps(__spreadValues({
      ref,
      className: cn(
        "relative flex w-full cursor-default select-none items-center rounded-sm py-1.5 pl-2 pr-8 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
        className
      )
    }, props), {
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime27.jsx)("span", { className: "absolute right-2 flex h-3.5 w-3.5 items-center justify-center", children: /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(SelectPrimitive.ItemIndicator, { children: /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(import_react_icons5.CheckIcon, { className: "h-4 w-4" }) }) }),
        /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(SelectPrimitive.ItemText, { children })
      ]
    })
  );
});
SelectItem.displayName = SelectPrimitive.Item.displayName;
var SelectSeparator = React12.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime27.jsx)(
    SelectPrimitive.Separator,
    __spreadValues({
      ref,
      className: cn("-mx-1 my-1 h-px bg-muted", className)
    }, props)
  );
});
SelectSeparator.displayName = SelectPrimitive.Separator.displayName;

// src/renderers/select.tsx
var import_react_icons6 = require("@radix-ui/react-icons");
var import_jsx_runtime28 = require("react/jsx-runtime");
var SelectRenderer = (props) => {
  const { isClearable, placeholder, onChange, options } = props;
  const [value, setValue] = import_react3.default.useState("");
  const selectRef = import_react3.default.useRef(null);
  return /* @__PURE__ */ (0, import_jsx_runtime28.jsx)("div", { className: "w-full flex flex-row items-center rounded-md flex-grow", children: /* @__PURE__ */ (0, import_jsx_runtime28.jsxs)(
    Select,
    {
      onValueChange: (value2) => {
        onChange(value2);
        setValue(value2);
      },
      value,
      children: [
        /* @__PURE__ */ (0, import_jsx_runtime28.jsx)(SelectTrigger, { className: "w-[180px]", children: /* @__PURE__ */ (0, import_jsx_runtime28.jsx)(SelectValue, { placeholder, ref: selectRef }) }),
        /* @__PURE__ */ (0, import_jsx_runtime28.jsx)(SelectContent, { children: options.map((option, i) => {
          return /* @__PURE__ */ (0, import_jsx_runtime28.jsx)(
            SelectItem,
            {
              value: option.value,
              children: option.label
            },
            i
          );
        }) }),
        isClearable && value ? /* @__PURE__ */ (0, import_jsx_runtime28.jsx)(
          Button,
          {
            type: "button",
            className: "rounded-l-none text-gray-400 hover:bg-transparent",
            variant: "ghost",
            size: "icon",
            onClick: () => {
              var _a;
              onChange("");
              setValue("");
              (_a = selectRef.current) == null ? void 0 : _a.focus();
            },
            children: /* @__PURE__ */ (0, import_jsx_runtime28.jsx)(import_react_icons6.Cross1Icon, {})
          }
        ) : null
      ]
    }
  ) });
};

// src/renderers/textarea.tsx
var import_react4 = __toESM(require("react"));

// src/components/ui/textarea.tsx
var React14 = __toESM(require("react"));
var import_jsx_runtime29 = require("react/jsx-runtime");
var Textarea = React14.forwardRef(
  (_a, ref) => {
    var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
    return /* @__PURE__ */ (0, import_jsx_runtime29.jsx)(
      "textarea",
      __spreadValues({
        className: cn(
          "flex min-h-[60px] w-full rounded-md border border-input bg-transparent px-3 py-2 text-sm shadow-sm placeholder:text-muted-foreground focus-visible:outline-none focus-visible:ring-1 focus-visible:ring-ring disabled:cursor-not-allowed disabled:opacity-50",
          className
        ),
        ref
      }, props)
    );
  }
);
Textarea.displayName = "Textarea";

// src/renderers/textarea.tsx
var import_jsx_runtime30 = require("react/jsx-runtime");
var TextareaRenderer = (props) => {
  const { placeholder, onChange, onSubmit } = props;
  const [value, setValue] = import_react4.default.useState("");
  const inputRef = import_react4.default.useRef(null);
  return /* @__PURE__ */ (0, import_jsx_runtime30.jsx)("div", { className: "w-full flex flex-row items-center border rounded-md border-input", children: /* @__PURE__ */ (0, import_jsx_runtime30.jsx)(
    Textarea,
    {
      ref: inputRef,
      placeholder,
      className: "flex-1 border-none",
      onChange: (ev) => {
        onChange(ev.currentTarget.value);
        setValue(ev.currentTarget.value);
      },
      onSubmit: (ev) => {
        onSubmit(ev.currentTarget.value);
        setValue(ev.currentTarget.value);
      },
      value
    }
  ) });
};

// src/renderers/combobox.tsx
var React18 = __toESM(require("react"));

// src/components/ui/command.tsx
var React16 = __toESM(require("react"));
var import_react_icons7 = require("@radix-ui/react-icons");
var import_cmdk = require("cmdk");
var import_jsx_runtime31 = require("react/jsx-runtime");
var Command = React16.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(
    import_cmdk.Command,
    __spreadValues({
      ref,
      className: cn(
        "flex h-full w-full flex-col overflow-hidden rounded-md bg-popover text-popover-foreground",
        className
      )
    }, props)
  );
});
Command.displayName = import_cmdk.Command.displayName;
var CommandInput = React16.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime31.jsxs)("div", { className: "flex items-center border-b px-3", "cmdk-input-wrapper": "", children: [
    /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(import_react_icons7.MagnifyingGlassIcon, { className: "mr-2 h-4 w-4 shrink-0 opacity-50" }),
    /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(
      import_cmdk.Command.Input,
      __spreadValues({
        ref,
        className: cn(
          "flex h-10 w-full rounded-md bg-transparent py-3 text-sm outline-none placeholder:text-muted-foreground disabled:cursor-not-allowed disabled:opacity-50",
          className
        )
      }, props)
    )
  ] });
});
CommandInput.displayName = import_cmdk.Command.Input.displayName;
var CommandList = React16.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(
    import_cmdk.Command.List,
    __spreadValues({
      ref,
      className: cn("max-h-[300px] overflow-y-auto overflow-x-hidden", className)
    }, props)
  );
});
CommandList.displayName = import_cmdk.Command.List.displayName;
var CommandEmpty = React16.forwardRef((props, ref) => /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(
  import_cmdk.Command.Empty,
  __spreadValues({
    ref,
    className: "py-6 text-center text-sm"
  }, props)
));
CommandEmpty.displayName = import_cmdk.Command.Empty.displayName;
var CommandGroup = React16.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(
    import_cmdk.Command.Group,
    __spreadValues({
      ref,
      className: cn(
        "overflow-hidden p-1 text-foreground [&_[cmdk-group-heading]]:px-2 [&_[cmdk-group-heading]]:py-1.5 [&_[cmdk-group-heading]]:text-xs [&_[cmdk-group-heading]]:font-medium [&_[cmdk-group-heading]]:text-muted-foreground",
        className
      )
    }, props)
  );
});
CommandGroup.displayName = import_cmdk.Command.Group.displayName;
var CommandSeparator = React16.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(
    import_cmdk.Command.Separator,
    __spreadValues({
      ref,
      className: cn("-mx-1 h-px bg-border", className)
    }, props)
  );
});
CommandSeparator.displayName = import_cmdk.Command.Separator.displayName;
var CommandItem = React16.forwardRef((_a, ref) => {
  var _b = _a, { className } = _b, props = __objRest(_b, ["className"]);
  return /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(
    import_cmdk.Command.Item,
    __spreadValues({
      ref,
      className: cn(
        "relative flex cursor-default select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none aria-selected:bg-accent aria-selected:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
        className
      )
    }, props)
  );
});
CommandItem.displayName = import_cmdk.Command.Item.displayName;
var CommandShortcut = (_a) => {
  var _b = _a, {
    className
  } = _b, props = __objRest(_b, [
    "className"
  ]);
  return /* @__PURE__ */ (0, import_jsx_runtime31.jsx)(
    "span",
    __spreadValues({
      className: cn(
        "ml-auto text-xs tracking-widest text-muted-foreground",
        className
      )
    }, props)
  );
};
CommandShortcut.displayName = "CommandShortcut";

// src/components/ui/popover.tsx
var React17 = __toESM(require("react"));
var PopoverPrimitive = __toESM(require("@radix-ui/react-popover"));
var import_jsx_runtime32 = require("react/jsx-runtime");
var Popover = PopoverPrimitive.Root;
var PopoverTrigger = PopoverPrimitive.Trigger;
var PopoverContent = React17.forwardRef((_a, ref) => {
  var _b = _a, { className, align = "center", sideOffset = 4 } = _b, props = __objRest(_b, ["className", "align", "sideOffset"]);
  return /* @__PURE__ */ (0, import_jsx_runtime32.jsx)(PopoverPrimitive.Portal, { children: /* @__PURE__ */ (0, import_jsx_runtime32.jsx)(
    PopoverPrimitive.Content,
    __spreadValues({
      ref,
      align,
      sideOffset,
      className: cn(
        "z-50 w-72 rounded-md border bg-popover p-4 text-popover-foreground shadow-md outline-none data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
        className
      )
    }, props)
  ) });
});
PopoverContent.displayName = PopoverPrimitive.Content.displayName;

// src/renderers/combobox.tsx
var import_react_icons8 = require("@radix-ui/react-icons");
var import_jsx_runtime33 = require("react/jsx-runtime");
function ComboboxRenderer(props) {
  const { options, onChange, onPick } = props;
  const [value, setValue] = React18.useState(null);
  const [open, setOpen] = React18.useState(false);
  React18.useEffect(() => {
    onChange("");
  }, []);
  const handlePick = React18.useCallback(
    (newValue) => {
      setOpen(false);
      setValue(newValue);
      onPick(newValue.value);
    },
    [onChange, setOpen, setValue]
  );
  return /* @__PURE__ */ (0, import_jsx_runtime33.jsxs)(Popover, { open, onOpenChange: setOpen, children: [
    /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(PopoverTrigger, { asChild: true, children: /* @__PURE__ */ (0, import_jsx_runtime33.jsxs)(
      Button,
      {
        variant: "outline",
        role: "combobox",
        "aria-expanded": open,
        className: "w-full justify-between",
        children: [
          value ? value.label : props.placeholder,
          /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(import_react_icons8.ChevronDownIcon, { className: "ml-2 h-4 w-4 shrink-0 opacity-50" })
        ]
      }
    ) }),
    /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(PopoverContent, { align: "start", className: "w-[300px] p-0", children: /* @__PURE__ */ (0, import_jsx_runtime33.jsxs)(Command, { children: [
      /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(CommandInput, { placeholder: "Search" }),
      /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(CommandEmpty, { children: "No results found." }),
      /* @__PURE__ */ (0, import_jsx_runtime33.jsxs)(CommandGroup, { className: "max-h-[300px] overflow-y-auto", children: [
        !options ? "...loading" : null,
        options == null ? void 0 : options.map((option) => /* @__PURE__ */ (0, import_jsx_runtime33.jsx)(
          CommandItem,
          {
            value: String(option.label),
            className: "cursor-pointer",
            onSelect: () => handlePick(option),
            children: option.label
          },
          option.label
        ))
      ] })
    ] }) })
  ] });
}

// src/renderers/index.tsx
var renderers = {
  Select: SelectRenderer,
  Link: LinkRenderer,
  Combobox: ComboboxRenderer,
  Textarea: TextareaRenderer,
  Container: ContainerRenderer,
  Text: TextRenderer,
  Image: ImageRenderer,
  Card: CardRenderer,
  Avatar: AvatarRenderer,
  Video: VideoRenderer,
  Button: ButtonRenderer,
  CircularProgress: CircularProgressRenderer,
  HorizontalLayout: HorizontalLayoutRenderer,
  VerticalLayout: VerticalLayoutRenderer,
  Tabs: TabsRenderer,
  Input: InputRenderer,
  ImageGridList: ImageGridListRenderer,
  Dialog: DialogRenderer,
  Alert: AlertRenderer
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  renderers
});
