"use strict";
"use client";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/renderers/video.tsx
var video_exports = {};
__export(video_exports, {
  VideoRenderer: () => VideoRenderer
});
module.exports = __toCommonJS(video_exports);
var import_react = __toESM(require("react"));
var import_video = __toESM(require("video.js"));
var import_jsx_runtime = require("react/jsx-runtime");
var videoJSoptions = {
  fluid: true,
  controls: true,
  fill: true,
  responsive: true
};
function handleClick(e) {
  e.stopPropagation();
  e.preventDefault();
}
var VideoRenderer = (props) => {
  const videoRef = import_react.default.useRef(null);
  const playerRef = import_react.default.useRef(null);
  const options = (0, import_react.useMemo)(
    () => {
      var _a, _b, _c;
      return __spreadProps(__spreadValues({}, videoJSoptions), {
        // video is not necessarily rewritten yet
        sources: [
          {
            src: (_a = props.videoSrc) != null ? _a : "",
            type: ((_b = props.videoSrc) == null ? void 0 : _b.endsWith(".m3u8")) ? "application/x-mpegURL" : ((_c = props.videoSrc) == null ? void 0 : _c.endsWith(".mp4")) ? "video/mp4" : ""
          }
        ]
      });
    },
    [props.videoSrc]
  );
  (0, import_react.useEffect)(() => {
    var _a;
    if (!playerRef.current) {
      const videoElement = document.createElement("video-js");
      videoElement.classList.add("vjs-big-play-centered");
      (_a = videoRef.current) == null ? void 0 : _a.appendChild(videoElement);
      playerRef.current = (0, import_video.default)(videoElement, options);
    } else {
      const player = playerRef.current;
      player.autoplay(options.autoplay);
      player.src(options.sources);
    }
  }, [options, videoRef, props]);
  (0, import_react.useEffect)(() => {
    const player = playerRef.current;
    return () => {
      if (player && !player.isDisposed()) {
        player.dispose();
        playerRef.current = null;
      }
    };
  }, [playerRef]);
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("div", { "data-vjs-player": true, onClick: handleClick, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("div", { ref: videoRef }) });
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  VideoRenderer
});
